Subject: bug#58507: Acknowledgement (Emacs does not preserve the coding system)

From: Juhana Sadeharju <[email-masked]>
Date: Thu, 9 Feb 2023 10:56:22 +0200

Hello. Has this bug or feature been fixed? The problem is that Emacs
doesn't keep the coding system I have set (utf-8). The file is opened with
different coding system and all äö chars are a mess. Even I set the coding
system again to utf-8, all the mess remains. Fixing the mess does not help
because the next time the coding system is wrong again.

Why Emacs doesn't let user to decide what is the coding system for the file?

I'm actually scared to use Emacs anymore because Emacs has converted
thousands lines of text to a mess because of this bug.

There was a trick to fix the coding system by inserting commands to the
start of file, so I suggest to add a command like "fix the coding system to
file" which adds the trick thing to the file. I keep forgetting the trick.

pe 14. lokak. 2022 klo 12.45 GNU bug Tracking System <[email-masked]>
kirjoitti:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 58507: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58507
> GNU Bug Tracking System
> Contact [email-masked] with problems
>